GDB (xrefs)

Public Attributes | List of all members
symbol_block_ops Struct Reference

`#include "symtab.h"`

## Public Attributes
void(* | find_frame_base_location )(struct symbol *framefunc, CORE_ADDR pc, const gdb_byte **start, size_t *length)
CORE_ADDR(* | get_frame_base )(struct symbol *framefunc, struct frame_info *frame)

## Detailed Description

Definition at line 979 of file symtab.h.

## Member Data Documentation

## ◆ find_frame_base_location

void(* symbol_block_ops::find_frame_base_location) (struct symbol *framefunc, CORE_ADDR pc, const gdb_byte **start, size_t *length)

Definition at line 985 of file symtab.h.

Referenced by func_get_frame_base_dwarf_block(), and register_symbol_block_impl().

## ◆ get_frame_base

CORE_ADDR(* symbol_block_ops::get_frame_base) (struct symbol *framefunc, struct frame_info *frame)

Definition at line 1004 of file symtab.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.h